{
  "schema_version": "1.4.0",
  "id": "GHSA-7qhq-gcwc-xffw",
  "modified": "2022-05-17T00:57:52Z",
  "published": "2022-05-17T00:57:52Z",
  "aliases": [
    "CVE-2012-4298"
  ],
  "details": "Integer signedness error in the vwr_read_rec_data_ethernet function in wiretap/vwr.c in the Ixia IxVeriWave file parser in Wireshark 1.8.x before 1.8.2 allows user-assisted remote attackers to execute arbitrary code via a crafted packet-trace file that triggers a buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-4298"
    },
    {
      "type": "WEB",
      "url": "https://blogs.oracle.com/sunsecurity/entry/multiple_vulnerabilities_in_wireshark3"
    },
    {
      "type": "WEB",
      "url": "https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7533"
    },
    {
      "type": "WEB",
      "url": "https://hermes.opensuse.org/messages/15514562"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A15777"
    },
    {
      "type": "WEB",
      "url": "http://anonsvn.wireshark.org/viewvc/trunk/wiretap/vwr.c?r1=44075&r2=44074&pathrev=44075"
    },
    {
      "type": "WEB",
      "url": "http://anonsvn.wireshark.org/viewvc?revision=44075&view=revision"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/50276"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/51363"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/54425"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-201308-05.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/55035"
    },
    {
      "type": "WEB",
      "url": "http://www.wireshark.org/security/wnpa-sec-2012-25.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-08-16T10:38:00Z"
  }
}